/*
** SmokeTest.java
**
** Copyright (c) 2017 CA.  All rights reserved.
** This software may not be duplicated, disclosed or reproduced in whole or
** in part for any purpose except as authorized by the applicable license agreement,
** without the express written authorization of CA. All authorized reproductions
** must be marked with this language.
**
** TO THE EXTENT PERMITTED BY APPLICABLE LAW, CA PROVIDES THIS
** SOFTWARE "AS IS" WITHOUT WARRANTY OF ANY KIND, INCLUDING
** WITHOUT LIMITATION, ANY IMPLIED WARRANTIES OF MERCHANTABILITY,
** FITNESS FOR A PARTICULAR PURPOSE OR NONINFRINGEMENT.  IN NO EVENT
** WILL CA BE LIABLE TO THE END USER OR ANY THIRD PARTY FOR ANY LOSS
** OR DAMAGE, DIRECT OR INDIRECT, FROM THE USE OF THIS MATERIAL,
** INCLUDING WITHOUT LIMITATION, LOST PROFITS, BUSINESS
** INTERRUPTION, GOODWILL, OR LOST DATA, EVEN IF CA IS EXPRESSLY
** ADVISED OF SUCH LOSS OR DAMAGE.
*/

import java.io.BufferedWriter;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.util.Map;
import sample.restclient.Client;
import sample.restclient.JSON;
import sample.restclient.LinkList;
import sample.restclient.LinkMap;
import sample.restclient.ObjectLink;
import sample.restclient.SmObject;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author gurmi04
 */
public class SmokeTest {
   
    static BufferedWriter outputWriter = new BufferedWriter(new OutputStreamWriter(System.out));
    public static void main(String ...args)  throws IOException
    {
        String authzHdr = args[0];
        String baseURL = args[1];
        
        Client client = new Client(authzHdr, baseURL, outputWriter);
        
        LinkList domains = client.getLinkList(baseURL + "/Smdomains");
        
        ObjectLink link = domains.getLinks()[0];
        
        String domainResource =   link.path;
        String href = baseURL + domainResource;
        SmObject smdomain = client.getObject(href);
        
        LinkMap children = client.getLinkMap(smdomain.getSelf() + "/children");
       
        
        outputWriter.write(JSON.pp(children));
        
        outputWriter.flush();
    }
}
