/*
 * Copyright (c) 2016 CA.  All rights reserved.
 *
 * This software and all information contained therein is confidential
 * and proprietary and shall not be duplicated, used, disclosed or
 * disseminated in any way except as authorized by the applicable
 * license agreement, without the express written permission of CA.
 * All authorized reproductions must be marked with this language.
 *
 * EXCEPT AS SET FORTH IN THE APPLICABLE LICENSE AGREEMENT, TO THE
 * EXTENT PERMITTED BY APPLICABLE LAW, CA PROVIDES THIS SOFTWARE
 * WITHOUT WARRANTY OF ANY KIND, INCLUDING WITHOUT LIMITATION, ANY
 * IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR
 * PURPOSE.  IN NO EVENT WILL CA BE LIABLE TO THE END USER OR ANY
 * THIRD PARTY FOR ANY LOSS OR DAMAGE, DIRECT OR INDIRECT, FROM THE
 * USE OF THIS SOFTWARE, INCLUDING WITHOUT LIMITATION, LOST PROFITS,
 * BUSINESS INTERRUPTION, GOODWILL, OR LOST DATA, EVEN IF CA IS
 * EXPRESSLY ADVISED OF SUCH LOSS OR DAMAGE.
 *
 */

package sample.restclient;

import static sample.restclient.JSON.gson;
import java.util.Map;
import java.util.Set;

/**
 * A Java object for a JSON object with the 'links' attribute.
 * Individual links in the 'links' field represented as a Map of key, value pairs
 *
 */
public class LinkMap {
    private String responseType; // "groups",
    private String path;
    private Map<String, ObjectLink[]> data;

    /**
     * @return the type
     */
    public String getResponseType() {
        return responseType;
    }

    /**
     * @return the path
     */
    public String getPath() {
        return path;
    }

    /**
     * @return the links
     */
    public Map<String, ObjectLink[]> getLinks() {
        return data;
    }

    /**
     * @return the keys in map of links
     */
    public Set<String> getKeys() {
        return data.keySet();
    }

    public static LinkMap fromJson(String data) {
        return gson.fromJson(data, LinkMap.class);
    }
}
